(function ($, Drupal) {
    Drupal.behaviors.access_by_ref = {
        attach: function (context, settings) {

            /* Remove groups from the field selector to keep it clean */

            $('#edit-bundle', context).once('init').each(function () {
                $(this).on('change', function () {
                    var selected_value = $(this).val();
                    // console.log('Selected bundle: ' + selected_bundle)
                    $('#edit-field optgroup').each(function () {
                        if ($(this).attr('label') !== selected_value) {
                            $(this).hide();
                        }
                        else {
                            $(this).show();
                        }
                    });

                });
                $(this).change(); //trigger the change on initial load

            });

            $('#edit-reference-type', context).once('init-extra').each(function () {
                // Hide the extra field as default
                var $html_field = $('.form-item-extra');

                // Unhide the field if a relevant options is selected
                $(this).on('change', function () {
                    var selected_value = $(this).val();
                    // console.log('Selected bundle: ' + selected_bundle)
                        if (selected_value !== 'shared') {
                            $html_field.hide();
                        }
                        else {
                            $html_field.show();
                        }

                });
                $(this).change(); //trigger the change on initial load

            });

            $('#edit-reference-type', context).once('init-rights-type').each(function () {
                // Hide the extra field as default
                var $html_field = $('.form-item-rights-type');

                // Unhide the field if a relevant options is selected
                $(this).on('change', function () {
                    var selected_value = $(this).val();
                    // console.log('Selected bundle: ' + selected_bundle)
                        if (selected_value !== 'inherit') {
                            $html_field.hide();
                        }
                        else {
                            $html_field.show();
                        }

                });
                $(this).change(); //trigger the change on initial load

            });


        }
    }
})(jQuery, Drupal);

